libwebkitgtk2-gir-2.4.11-alt7.i586.rpm


Advertisement

Description

libwebkitgtk2-gir - GObject introspection data for the WebkitGTK library

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package filename libwebkitgtk2-gir-2.4.11-alt7.i586.rpm
Package name libwebkitgtk2-gir
Package version 2.4.11
Package release alt7
Package architecture i586
Package type rpm
Category System/Libraries
Homepage -
License -
Maintainer -
Download size 275.05 KB
Installed size 275.05 KB
GObject introspection data for the WebkitGTK library

Alternatives

Package Version Architecture Repository
libwebkitgtk2-gir-2.4.11-alt7.x86_64.rpm 2.4.11 x86_64 Classic
libwebkitgtk2-gir - - -

Requires

Name Value
libjavascriptcoregtk2-gir = 2.4.11-alt7:sisyphus+226762.2700.12.1
libwebkitgtk2 = 2.4.11-alt7:sisyphus+226762.2700.12.1
rpmlib(PayloadIsLzma) -
typelib(GObject) = 2.0
typelib(Gtk) = 2.0
typelib(Soup) = 2.4

Provides

Name Value
libwebkit-gir = 2.4.11-alt7
libwebkitgtk2-gir = 2.4.11-alt7:sisyphus+226762.2700.12.1
typelib(WebKit) = 1.0

Obsoletes

Name Value
libwebkit-gir < 2.4.11

Download

Type URL
Mirror ftp.altlinux.org
Binary Package libwebkitgtk2-gir-2.4.11-alt7.i586.rpm
Source Package libwebkitgtk2-2.4.11-alt7.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libwebkitgtk2-gir rpm package:
    # sudo apt-get install libwebkitgtk2-gir

Files

Path
/usr/lib/girepository-1.0/WebKit-1.0.typelib

Changelog

2019-02-11 - Gleb F-Malinovskiy <glebfm@altlinux.org> 2.4.11-alt7
- Fixed build on ppc64le architecture.
2018-10-22 - Yuri N. Sedunov <aris@altlinux.org> 2.4.11-alt6
- rebuilt against libicu*.so.63
2018-07-25 - Yuri N. Sedunov <aris@altlinux.org> 2.4.11-alt5
- rebuilt against libicu*.so.62
2018-01-04 - Yuri N. Sedunov <aris@altlinux.org> 2.4.11-alt4
- rebuilt against libicu*.so.60
2017-06-20 - Yuri N. Sedunov <aris@altlinux.org> 2.4.11-alt3
- rebuilt against libwebp.so.7
2017-01-30 - Yuri N. Sedunov <aris@altlinux.org> 2.4.11-alt2.1
- really disabled JIT compilation for %ix586
2017-01-29 - Yuri N. Sedunov <aris@altlinux.org> 2.4.11-alt2
- fixed build with gcc6
- disabled JIT compilation for %ix586 (ALT #32732)
2016-04-10 - Yuri N. Sedunov <aris@altlinux.org> 2.4.11-alt1
- 2.4.11 (CVE-2015-1120, CVE-2015-1076, CVE-2015-1071, CVE-2015-1081, CVE-2015-1122,
CVE-2015-1155, CVE-2014-1748, CVE-2015-3752, CVE-2015-5809, CVE-2015-5928, CVE-2015-3749,
CVE-2015-3659, CVE-2015-3748, CVE-2015-3743, CVE-2015-3731, CVE-2015-3745, CVE-2015-5822,
CVE-2015-3658, CVE-2015-3741, CVE-2015-3727, CVE-2015-5801, CVE-2015-5788, CVE-2015-3747,
CVE-2015-5794, CVE-2015-1127, CVE-2015-1153, CVE-2015-1083)
2016-02-10 - Yuri N. Sedunov <aris@altlinux.org> 2.4.9-alt4
- rebuild against libicu*.so.56
2016-01-24 - Yuri N. Sedunov <aris@altlinux.org> 2.4.9-alt3
- rebuilt against libwebp.so.6

See Also

Package Description
libwebkitgtk2-jsc-2.4.11-alt7.i586.rpm JavaScriptCore shell for WebKit GTK+
libwebkitgtk3-2.4.11-alt8.i586.rpm Web browser engine
libwebkitgtk3-devel-2.4.11-alt8.i586.rpm Development files for WebKit GTK+ port
libwebkitgtk3-gir-2.4.11-alt8.i586.rpm GObject introspection data for the WebkitGTK library
libwebkitgtk3-jsc-2.4.11-alt8.i586.rpm JavaScriptCore shell for WebKit GTK+
libwebp-devel-1.0.3-alt1.i586.rpm Development files for libwebp, a library for the WebP format
libwebp-tools-1.0.3-alt1.i586.rpm The WebP command line tools
libwebp6-0.5.2-alt2.i586.rpm Library for the WebP graphics format
libwebp7-1.0.3-alt1.i586.rpm Libraries for the WebP graphics format
libwebrtc-0.3-alt2.i586.rpm WebRTC Audio Processing library
libwebrtc-devel-0.3-alt2.i586.rpm WebRTC Audio Processing library and header files
libwebsockets-2.4.2-alt1.i586.rpm A lightweight C library for Websockets
libwebsockets-devel-2.4.2-alt1.i586.rpm Headers for developing programs that will use libwebsockets
libwebsockets-tests-2.4.2-alt1.i586.rpm Tests to use with libwebsockets
libweston-5.0.0-alt1.i586.rpm Weston compositor libraries
Advertisement
Advertisement